class CustomersController < ApplicationController
  model_data_store(Customer, {create: false, read: true, update: false, delete: false, index: true}, {create: false, read: false, update: false, delete: false, index: false})

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:customer).permit(:number, :name)
  end

  def check_authorization!
    return false if current_user.blank?
    RxModule::Authorization.current_user_can?("config", "user_config_admin") ||
      RxModule::Authorization.current_user_can?("Order", "create") ||
      RxModule::Authorization.current_user_can?("Order", "read") ||
      RxModule::Authorization.current_user_can?("Order", "update")
  end

  def before_set_targets
    if RxModule::Authorization.current_user_can?("config", "user_config_admin")
      @models
    else
      config = Config.find_by(user_id: RxModule::Authorization.current_user[:id])
      @models = @models.where(id: config.config_customers.map { |c| c.customer_id })
    end
  end
end
