import * as React from "react";
import {BreadModel, makeColumn} from "@rx-suite/ui";
import {ConfigCustomerStore} from "../../stores/ConfigCustomerStore";
import {t} from "@lingui/macro";

export const ConfigCustomerBreadModel = () => {
    const columns = React.useMemo(() => {
        return [
            makeColumn('customer_number', t`Customer Number`, "string"),
            makeColumn('customer_name', t`Customer Name`, "string"),
            makeColumn('user_name', t`User Name`, "string")
        ]
    }, [])

    return (
        <BreadModel
            store={ConfigCustomerStore}
            tableProps={{
                suppressActionColumn: true
            }}
        />
    )
}