import * as React from 'react';
import {observer} from 'mobx-react-lite';
import OpenInBrowser from '@material-ui/icons/OpenInBrowser';
import {ModelTableActionButtonProps, ModelTableButton} from '@rx-suite/ui';

export const ConfigTableReadButton: React.FunctionComponent<ModelTableActionButtonProps> = observer(({
                                                                                                         store,
                                                                                                         model
                                                                                                     }) => {
    const link = store.readLink(model.getId());

    return (
        <ModelTableButton
            verb="user_config_admin"
            link={link}
            disabled={!model.isUserReadable}
            store={store}
        >
            <OpenInBrowser/>
        </ModelTableButton>
    )
});