import * as React from 'react';
import {observer} from 'mobx-react-lite';
import Edit from '@material-ui/icons/Edit';
import {ModelTableActionButtonProps, ModelTableButton} from '@rx-suite/ui';

export const ConfigTableUpdateButton: React.FunctionComponent<ModelTableActionButtonProps> = observer(({
                                                                                                           store,
                                                                                                           model
                                                                                                       }) => {
    const link = store.updateLink(model.getId());

    return (
        <ModelTableButton
            verb="user_config_admin"
            link={link}
            disabled={!model.isUserUpdatable}
            store={store}
        >
            <Edit/>
        </ModelTableButton>
    )
});