import * as React from 'react';
import {ButtonField, PaddedPaper} from '@rx-suite/ui';
import {Container} from "@material-ui/core";
import {t} from "@lingui/macro";
import {Transport} from "@rx-suite/data";

export const Maintenance = () => {
    const [loading, setLoading] = React.useState(false);

    const sync = React.useCallback(async () => {
        setLoading(true);
        await Transport.fetch("/api/maintenance/rxuniverse_syncs", {
            method: "POST",
            headers: {
                "Content-Type": "application/json"
            }
        });
        setLoading(false);
    }, []);

    return (
        <Container>
            <PaddedPaper>
                <ButtonField
                    onClick={sync}
                    loading={loading}
                    text={t`Sync with RxUniverse`}
                />
            </PaddedPaper>
        </Container>
    )
}