import {makeStyles, Typography} from '@material-ui/core';
import {observer} from 'mobx-react-lite';
import * as React from 'react';
import {levelLabel, Levels} from "../../../stores/_FieldConstants";

const useStyles = makeStyles(theme => ({
    wrapper: {
        width: '100%',
        display: 'flex',
        alignItems: 'center',
        gap: theme.spacing(2)
    }
}));

export const LevelHeader: React.FunctionComponent<{ level: string }> = observer(({level}) => {
    const buttons = Levels[level]?.buttons || [];
    const classes = useStyles();
    return <div className={classes.wrapper}>
        <Typography variant={"h6"}>{levelLabel(level)}</Typography>
        {buttons}
    </div>;
});