import {observer} from 'mobx-react-lite';
import * as React from 'react';
import Search from "@material-ui/icons/Search"
import {ButtonField} from "@rx-suite/ui";
import {t} from "@lingui/macro";
import {useOrderEntryStore} from "../../../hooks/useOrderEntryStore";

export const FrameFindButton = observer(() => {
    const store = useOrderEntryStore();

    return <ButtonField text={t`Find Frame`}
                        onClick={store.findFrames}
                        startIcon={<Search/>}
                        loading={store.fetchingFrameCandidates}
                        disabled={!store.hasFrameFilter}
                        color={store.mustPickFrame ? 'secondary' : 'primary'}/>
});