import {attribute, model, Model, SingletonDataStore} from "@rx-suite/data";
import {t} from "@lingui/macro";
import {computed} from "mobx";

@model({
    transportLayer: "/api/rx_universe/show",
    eager: true,
    singleton: true
})
export class RxUniverseModel extends Model {
    constructor() {
        super();
        super.setup();
    }

    @attribute({label: t`Version`})
    version = '';

    @attribute({label: t`Name`})
    name = '';

    @attribute({label: t`CPO`})
    CPO = '';

    @attribute({label: t`City/State`})
    cityState = false;

    @computed get isVA() {
        return this.CPO === '14';
    }
}

export const RxUniverseStore = RxUniverseModel.store as unknown as SingletonDataStore<RxUniverseModel>