class SyncAddonsJob < ApplicationJob
  def perform
    addons = RxModule::Communicator::Rxuniverse.rxsite_addons[:models]

    data = addons.map do
      {
        code: _1[:addonCode],
        desc: _1[:addonDesc],
        ar: _1[:addonAR] == "Y",
        tint: _1[:addonTint] == "Y",
        mirror: _1[:addonMirror] == "Y",
        backside: _1[:addonBackside] == "Y",
        uv: _1[:addonUV] == "Y",
        harden: _1[:addonHarden] == "Y",
        dropball: _1[:addonDropball] == "Y",
        etch: _1[:addonEtch] == "Y",
        polish: _1[:addonPolish] == "Y",
        active: true
      }
    end

    Addon.quietly do
      Addon.update_all(active: false)
      data.each do |add|
        addon = Addon.unscope(:where).where(code: add[:code]).first_or_initialize
        addon.assign_attributes(add)
        addon.save
      end
    end
  rescue => e
    Rails.logger.error e
  end
end
