class SyncCustomersJob < ApplicationJob
  def perform
    customers = RxModule::Communicator::Rxuniverse.customers

    data = customers[:models].map do
      {
        number: _1[:custNumber],
        name: _1[:custName],
        rpt_1: _1[:custRpt1],
        rpt_2: _1[:custRpt2],
        rpt_3: _1[:custRpt3],
        rpt_4: _1[:custRpt4],
        rpt_5: _1[:custRpt5],
        ship_method_monday_id: ShippingMethod.find_by(code: _1[:custShipMethodMonday])&.id,
        ship_method_tuesday_id: ShippingMethod.find_by(code: _1[:custShipMethodTuesday])&.id,
        ship_method_wednesday_id: ShippingMethod.find_by(code: _1[:custShipMethodWednesday])&.id,
        ship_method_thursday_id: ShippingMethod.find_by(code: _1[:custShipMethodThursday])&.id,
        ship_method_friday_id: ShippingMethod.find_by(code: _1[:custShipMethodFriday])&.id,
        ship_method_saturday_id: ShippingMethod.find_by(code: _1[:custShipMethodSaturday])&.id,
        ship_method_sunday_id: ShippingMethod.find_by(code: _1[:custShipMethodSunday])&.id,
        active: true
      }
    end

    Customer.quietly do
      Customer.update_all(active: false)
      data.each do |cust|
        customer = Customer.unscope(:where).where(number: cust[:number]).first_or_initialize
        customer.assign_attributes(cust)
        customer.save
      end
    end
  end
end
