class SyncShippingMethodsJob < ApplicationJob
  queue_as :default

  def perform(*args)
    sm = RxModule::Communicator::Rxuniverse.shipping_methods

    data = sm[:models].map do
      {
        code: _1[:code],
        description: _1[:description],
        ship_to_required: _1[:shipToRequired],
        active: true
      }
    end

    ShippingMethod.quietly do
      ShippingMethod.update_all(active: false)
      data.each do |method|
        ship_method = ShippingMethod.unscope(:where).where(code: method[:code]).first_or_initialize
        ship_method.assign_attributes(method)
        ship_method.save
      end
    end
  rescue => e
    Rails.logger.error e
  end
end
