class SyncStyleTypesJob < ApplicationJob
  def perform
    types = RxModule::Communicator::Rxuniverse.style_types

    data = types.map do
      {
        active: true,
        style_type: _1[:type]
      }
    end

    StyleType.quietly do
      StyleType.update_all(active: false)
      data.each do |type|
        style_type = StyleType.unscope(:where).where(style_type: type[:style_type]).first_or_initialize
        style_type.assign_attributes(type)
        style_type.save
      end
    end
  rescue => e
    Rails.logger.error e
  end
end
