class SyncStylesJob < ApplicationJob
  queue_as :default

  def perform(*args)
    data = []
    uncut = []

    StyleType.find_each do |style_type|
      rxu_styles = RxModule::Communicator::Rxuniverse.styles(style_type: style_type.style_type)

      rxu_styles.each do
        data << {
          style: _1[:style],
          requires_trace: true,
          description: _1[:description],
          style_type_id: style_type.id,
          active: true
        }
      end

      rxu_styles = RxModule::Communicator::Rxuniverse.styles(style_type: style_type.style_type, uncut: true)
      rxu_style_codes = rxu_styles.map { _1[:style] }

      uncut.push(*rxu_style_codes)
    end

    Style.quietly do
      Style.update_all(active: false)
      data.each do |sty|
        style = Style.unscope(:where).where(style: sty[:style]).first_or_initialize
        style.assign_attributes(sty)
        style.save
      end
      Style.unscope(:where).where(style: uncut).update_all(requires_trace: false)
    end
  end
end
